import { AddTemplateArgs, ControlExtraConfiguration, Template } from "@igniteui/cli-core";
export declare class ReactTemplate implements Template {
    private rootPath;
    components: string[];
    controlGroup: string;
    listInComponentTemplates: boolean;
    listInCustomTemplates: boolean;
    id: string;
    name: string;
    description: string;
    dependencies: string[];
    framework: string;
    projectType: string;
    hasExtraConfiguration: boolean;
    packages: any[];
    delimiters: import("@igniteui/cli-core").TemplateDelimiters;
    protected widget: string;
    private appRoutsPath;
    private igniteResources;
    /**
     * Base ReactTemplate constructor
     * @param rootPath The template folder path. Pass in `__dirname`
     */
    constructor(rootPath: string);
    get templatePaths(): string[];
    generateConfig(name: string, options: {}): {
        [key: string]: any;
    };
    registerInProject(projectPath: string, name: string, options?: AddTemplateArgs): void;
    getExtraConfiguration(): ControlExtraConfiguration[];
    setExtraConfiguration(extraConfigKeys: {}): void;
    protected folderName(pathName: string): string;
    protected getViewLink(name: string): string;
    protected registerSourceFiles(projectPath: string): void;
    protected getNavText(name: string): string;
}
